package org.test.as7.messaging;

import javax.ejb.EJB;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.logging.Logger;
import org.jboss.logging.Logger.Level;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Test;
import org.junit.runner.RunWith;

/**
 * <p>
 * <p>
 * 
 * @author Andrew Murphy
 */
@RunWith(Arquillian.class)
public class MessageConsumerBeanTest {

    private static Logger logger = Logger
            .getLogger(MessageConsumerBeanTest.class);

    @Deployment()
    public static Archive<?> createDeployment() {
        return ShrinkWrap
                .create(WebArchive.class, "test.war")
                .addClass(org.test.as7.messaging.MessageConsumerBean.class)
                .addClass(org.test.as7.messaging.MessageProducerBean.class)
                .addAsWebInfResource(EmptyAsset.INSTANCE, "beans.xml");
    }

    @EJB
    private MessageProducerBean messageProducer;

    @Test
    public void sendMessageTest() {
        logger.logv(Level.INFO, "SendMessageTest started");

        messageProducer.sendMessage("Hello World!");

        logger.logv(Level.INFO, "SendMessageTest finished");

    }
}
